<?xml version="1.0" encoding="UTF-8"?>
<cfsSimulation xmlns="http://www.cfs++.org/simulation">
  <documentation>
    <title>create a mesh via embedded python mesh reader. Use reference implenetation in mesh_tool.py</title>
    <authors>
      <author>Fabian Wein</author>
    </authors>
    <date>2022-01-12</date>
    <keywords>
      <keyword>file format</keyword>
    </keywords>
    <references>Standard</references>
    <isVerified>yes</isVerified>
    <description>uses set_cfs_mesh() in mesh_tool.py to generate a 2D mesh and call call_cfs_input_reader() of mesh_tool.py
    </description>
  </documentation>
  <fileFormats>
    <input>
      <!-- mesh_tool.py has a reference implementation of set_cfs_mesh() -->
      <python fileName="mesh_tool.py" path="cfs:share:python">
        <option key="type"  value="bulk2d"/>
        <option key="x_res" value="2"/>
      </python>     
    </input>
    <output>
       <hdf5 extension="h5"/>
      <info/>
    </output>
    <materialData file="mat.xml" format="xml" />
  </fileFormats>

  <domain geometryType="plane">
    <regionList>
      <region material="99lines" name="mech" />
    </regionList>
    <nodeList>
      <nodes name="load">
        <coord x="1" y=".5" />
      </nodes>
      <nodes name="mech_nodes">
        <allNodesInRegion regName="mech"/>
      </nodes>
    </nodeList>
  </domain>

  <sequenceStep index="1">
    <analysis>
      <static/>
    </analysis>

    <pdeList>
      <mechanic subType="planeStress">
        <regionList>
          <region name="mech" />
        </regionList>

        <bcsAndLoads>
           <fix name="left"> 
              <comp dof="x"/> 
              <comp dof="y"/> 
           </fix>
           <force name="load">
             <comp dof="x" value="1"/>
           </force>
        </bcsAndLoads>

        <storeResults>
          <nodeResult type="mechDisplacement">
            <allRegions/>
            <nodeList>
              <nodes name="mech_nodes"/>
            </nodeList>
          </nodeResult>
          <regionResult type="mechTotalEnergy">
            <allRegions/>
          </regionResult>
        </storeResults>
      </mechanic>
    </pdeList>
  </sequenceStep>
</cfsSimulation>
